> For the complete documentation index, see [llms.txt](https://docs.leo.app/aleo-rpc-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.leo.app/aleo-rpc-api/endpoints/transactions/getgeneratedtransaction.md).

# getGeneratedTransaction

## Description

Returns transaction generation job status, result, error message.

## Method Parameters

* **`params`** - *`Object`*:
  * **`request_id`** - *`string`*: UUID v4 token generated by RPC identifying the transaction generation process when calling [generateTransaction endpoint.](/aleo-rpc-api/endpoints/transactions/generatetransaction.md)

## Returns

* **`result`** - *`Object`*:
  * **`transaction`** - *`string | null`*: Found transaction corresponding to provided request ID.
  * **`status`** - *`string`*: Status of the transaction generation job. One of: `Queued` `InProgress`, `Completed`, `Failed`, `Broadcasted`.
  * **`error`** - *`string | null`*: Eventual error message.
  * **`updatedAt`** - *`string`*: ISO date string of last update of generation job (example: `2024-06-04T15:00:41.851Z`).

## Example

### Request

```bash
curl --location --request POST 'https://testnet3.aleorpc.com' \
 --header 'Content-Type: application/json' \
 --data-raw '{
     "jsonrpc": "2.0",
     "id": 1,
     "method": "getGeneratedTransaction",
     "params": {
        "request_id": "40de3dd8-a3e9-4c9d-93c9-afdde370b502"
      }

 }'
```

### Response

```json
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "transaction": null,
    "status": "Failed",
    "error": "Failed to retrieve result",
    "updatedAt": "2024-06-04T15:00:41.851Z"
  }
}
```
